## audit 0.1-1

=== DESCRIPTION ===
Package: audit
Version: 0.1-1
Date: 15 Apr 2005
Title: Bounds for Accounting Populations
Author: Glen Meeden <glen@stat.umn.edu>.
Maintainer: Glen Meeden <glen@stat.umn.edu>
Description: Two Bayesian methods for Accounting Populations
License: MIT
Packaged: 2012-10-29 08:58:15 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:15

## audit 0.1-2

=== DESCRIPTION ===
Package: audit
Version: 0.1-2
Date: 2021-05-25
Title: Bounds for Accounting Populations
Author: Glen Meeden <glen@stat.umn.edu>.
Maintainer: Glen Meeden <glen@stat.umn.edu>
Description: Find an upper bound for the total amount of overstatement
    of assets in a set of accounts, or estimate the amount of sales tax
    owed on a collection of transactions (Meeden and Sargent, 2007,
    <doi:10.1080/03610920701386802>).
License: MIT + file LICENSE
Repository: CRAN
NeedsCompilation: no
Packaged: 2021-05-25 22:23:00 UTC; geyer
Date/Publication: 2021-05-27 00:20:06 UTC

## audit 1.6.5

=== contrib/plugin/Makefile ===
CFLAGS=-g -W -Wall -Wundef
LIBS=
all:
	gcc $(CFLAGS) audisp-example.c -o audisp-example $(LIBS)

clean:
	rm -f audisp-example *.o

=== audisp/plugins/ids/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# audisp/plugins/ids/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am --
# Copyright 2007-08 Red Hat Inc., Durham, North Carolina.
# All Rights Reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors:
#   Steve Grubb <sgrubb@redhat.com>
# 



pkgdatadir = $(datadir)/audit
pkglibdir = $(libdir)/audit
pkgincludedir = $(includedir)/audit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
target_triplet = x86_64-redhat-linux-gnu
sbin_PROGRAMS = audisp-ids$(EXEEXT)
subdir = audisp/plugins/ids
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
am__installdirs = "$(DESTDIR)$(sbindir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
am_audisp_ids_OBJECTS = audisp_ids-audisp-ids.$(OBJEXT) \
	audisp_ids-ids-config.$(OBJEXT)
audisp_ids_OBJECTS = $(am_audisp_ids_OBJECTS)
audisp_ids_LDADD = $(LDADD)
audisp_ids_DEPENDENCIES =
audisp_ids_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(audisp_ids_CFLAGS) \
	$(CFLAGS) $(audisp_ids_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(audisp_ids_SOURCES)
DIST_SOURCES = $(audisp_ids_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -L${top_srcdir}/auparse -lauparse
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = audit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = audit
PACKAGE_STRING = audit 1.6.5
PACKAGE_TARNAME = audit
PACKAGE_VERSION = 1.6.5
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.6.5
abs_builddir = /home/sgrubb/working/BUILD/audit-1.6.5/audisp/plugins/ids
abs_srcdir = /home/sgrubb/working/BUILD/audit-1.6.5/audisp/plugins/ids
abs_top_builddir = /home/sgrubb/working/BUILD/audit-1.6.5
abs_top_srcdir = /home/sgrubb/working/BUILD/audit-1.6.5
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = x86_64-redhat-linux-gnu
build_alias = x86_64-redhat-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
host = x86_64-redhat-linux-gnu
host_alias = x86_64-redhat-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = $(SHELL) /home/sgrubb/working/BUILD/audit-1.6.5/install-sh
libdir = /lib64
libexecdir = /usr/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/audit
pkgpythondir = ${pythondir}/audit
prefix = /usr
program_transform_name = s&^&&
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = /sbin
sharedstatedir = /usr/com
srcdir = .
subdirs =  system-config-audit
sysconfdir = /etc
target = x86_64-redhat-linux-gnu
target_alias = x86_64-redhat-linux-gnu
target_cpu = x86_64
target_os = linux-gnu
target_vendor = redhat
top_builddir = ../../..
top_srcdir = ../../..
CONFIG_CLEAN_FILES = Makefile.in *.rej *.orig
EXTRA_DIST = au-ids.conf ids.conf
AUTOMAKE_OPTIONS = no-dependencies
INCLUDES = -I.. -I${top_srcdir}/lib
LDADD = -lpthread
prog_confdir = $(sysconfdir)/audisp
prog_conf = ids.conf
plugin_confdir = $(pro_confdir)/plugins.d
plugin_conf = au-ids.conf
noinst_HEADERS = ids-config.h
audisp_ids_SOURCES = audisp-ids.c ids-config.c
audisp_ids_CFLAGS = -fPIE -DPIE -g -D_REENTRANT -D_GNU_SOURCE
audisp_ids_LDFLAGS = -pie -Wl,-z,relro
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  audisp/plugins/ids/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  audisp/plugins/ids/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
audisp-ids$(EXEEXT): $(audisp_ids_OBJECTS) $(audisp_ids_DEPENDENCIES) 
	@rm -f audisp-ids$(EXEEXT)
	$(audisp_ids_LINK) $(audisp_ids_OBJECTS) $(audisp_ids_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

audisp_ids-audisp-ids.o: audisp-ids.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(audisp_ids_CFLAGS) $(CFLAGS) -c -o audisp_ids-audisp-ids.o `test -f 'audisp-ids.c' || echo '$(srcdir)/'`audisp-ids.c

audisp_ids-audisp-ids.obj: audisp-ids.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(audisp_ids_CFLAGS) $(CFLAGS) -c -o audisp_ids-audisp-ids.obj `if test -f 'audisp-ids.c'; then $(CYGPATH_W) 'audisp-ids.c'; else $(CYGPATH_W) '$(srcdir)/audisp-ids.c'; fi`

audisp_ids-ids-config.o: ids-config.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(audisp_ids_CFLAGS) $(CFLAGS) -c -o audisp_ids-ids-config.o `test -f 'ids-config.c' || echo '$(srcdir)/'`ids-config.c

audisp_ids-ids-config.obj: ids-config.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(audisp_ids_CFLAGS) $(CFLAGS) -c -o audisp_ids-ids-config.obj `if test -f 'ids-config.c'; then $(CYGPATH_W) 'ids-config.c'; else $(CYGPATH_W) '$(srcdir)/ids-config.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \

=== audisp/plugins/remote/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# audisp/plugins/remote/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am --
# Copyright 2007 Red Hat Inc., Durham, North Carolina.
# All Rights Reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors:
#   Steve Grubb <sgrubb@redhat.com>
# 

pkgdatadir = $(datadir)/audit
pkglibdir = $(libdir)/audit
pkgincludedir = $(includedir)/audit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
target_triplet = x86_64-redhat-linux-gnu
subdir = audisp/plugins/remote
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/sgrubb/working/BUILD/audit-1.6.5/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = audit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = audit
PACKAGE_STRING = audit 1.6.5
PACKAGE_TARNAME = audit
PACKAGE_VERSION = 1.6.5
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.6.5
abs_builddir = /home/sgrubb/working/BUILD/audit-1.6.5/audisp/plugins/remote
abs_srcdir = /home/sgrubb/working/BUILD/audit-1.6.5/audisp/plugins/remote
abs_top_builddir = /home/sgrubb/working/BUILD/audit-1.6.5
abs_top_srcdir = /home/sgrubb/working/BUILD/audit-1.6.5
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = x86_64-redhat-linux-gnu
build_alias = x86_64-redhat-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
host = x86_64-redhat-linux-gnu
host_alias = x86_64-redhat-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = $(SHELL) /home/sgrubb/working/BUILD/audit-1.6.5/install-sh
libdir = /lib64
libexecdir = /usr/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/audit
pkgpythondir = ${pythondir}/audit
prefix = /usr
program_transform_name = s&^&&
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = /sbin
sharedstatedir = /usr/com
srcdir = .
subdirs =  system-config-audit
sysconfdir = /etc
target = x86_64-redhat-linux-gnu
target_alias = x86_64-redhat-linux-gnu
target_cpu = x86_64
target_os = linux-gnu
target_vendor = redhat
top_builddir = ../../..
top_srcdir = ../../..
CONFIG_CLEAN_FILES = Makefile.in *.loT *.rej *.orig
EXTRA_DIST = remote.conf
plugin_confdir = $(sysconfdir)/audisp/plugins.d
plugin_conf = remote.conf
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  audisp/plugins/remote/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  audisp/plugins/remote/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook

.MAKE: install-am install-data-am install-strip uninstall-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-data-hook install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	uninstall uninstall-am uninstall-hook


install-data-hook:
	mkdir -p -m 0750 ${DESTDIR}${plugin_confdir}
	$(INSTALL_DATA) -D -m 640 ${srcdir}/$(plugin_conf) ${DESTDIR}${plugin_confdir}

uninstall-hook:
	rm ${DESTDIR}${plugin_confdir}/$(plugin_conf)

clean-generic:
	rm -rf build
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## audit 1.7.13

=== contrib/plugin/Makefile ===
CFLAGS=-g -W -Wall -Wundef
LIBS= -lauparse
all:
	gcc $(CFLAGS) audisp-example.c -o audisp-example $(LIBS)

clean:
	rm -f audisp-example *.o

## audit 1.7.18

=== debian/changelog ===
audit (1:1.7.18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert last upload versioned 2.1.3-1 and made by Russell Coker.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 31 Jan 2012 16:34:34 +0100

audit (1.7.18-1) unstable; urgency=low

  * New upstream release.
    - Fixes inode with != operator (Closes: #539356)
  * debian/source/format, debian/README.source: Convert to 3.0 (quilt)
  * debian/patches/htons_family.diff: Don't htons(AF_INET) (Closes: #635202)
    Thanks to John Feuerstein <john@feurix.com>.
  * debian/control:
    - Bump Standards-Version: 3.9.2
    - Priority: optional for libaudit0.
    - Depend on missing python-glade2 (Closes: #635199)
    - Drop quilt from Build-Depends.
    - Use automake1.10, DebHelper8
  * debian/rules: Switch to debhelper8 and dh_pyhon2
  * Build bindings for all Python versions (Closes: #627919)
  * debian/patches:
    - fix-out-of-tree-build.diff: Fix an out-of-tree build issue
    - fix-desktopinfo.diff: Drop Encoding from desktop info file
    - fix-spelling.diff: Fix spelling mistakes in manual pages
    - manpage-dash.diff: Quote dashes in manual pages
  * debian/auditd.init
    - Change start/stop levels (also debian/rules) (Closes: #586664)
    - Drop support for customizing language  (Closes: #549186)
  * debian/audit.*: Add support for pam_loginuid (Closes: #560281)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 29 Jul 2011 23:28:00 +0200

audit (1.7.13-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621141).
  * Add ${python:Depends} for system-config-audit.

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 09:48:16 +0200

audit (1.7.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/ld-no-add-needed.diff
    - fix build with ld --no-add-needed, patch from bug; Closes: #553961
  * debian/patches/add_missing_headers.diff
    - Add missing headers to fix undefined reference to `S_ISREG' linker error,
      from Ubuntu
  * debian/python-audit.install, debian/rules
    - use '*-packages' instead of 'site-packages', diff from Ubuntu

 -- Sandro Tosi <morph@debian.org>  Wed, 25 May 2011 13:55:43 +0200

audit (1.7.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control: ~Suggest audispd-plugins" (Closes: #523098)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 22 Apr 2009 21:56:34 +0200

audit (1.7.12-1) unstable; urgency=low

  * New upstream release. (Closes: #522026)
  * Fix "typo in long description: (Closes: #513937)
  * debian/control:
    - Bump Standards-Version: 3.8.0

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 07 Apr 2009 00:03:54 +0200

audit (1.7.11-1) unstable; urgency=low

  * New upstream release.
    - Update debian/patches/mode.diff

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun, 11 Jan 2009 18:51:38 +0100

audit (1.7.10-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sat, 03 Jan 2009 17:16:22 +0100

audit (1.7.9-2) unstable; urgency=low

  * Fix bashism in debian/rules (Closes: #505261)
    Thanks to Michael Bienia <michael vorlon ping de>

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 11 Nov 2008 19:32:06 +0100

audit (1.7.9-1) unstable; urgency=low

  * New upstream release.
    - Includes debian/patches/test.diff
  * debian/auditd.install: Add aulast.
  * Fix "fails to start in two cases : auditd not installed or not run
    as root" by "using su-to-root -X" (Closes: #503656)
  * debian/control#system-config-audit:
    - Depends: menu for su-to-root
    - Depends: chkconfig for restart

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun, 09 Nov 2008 21:25:03 +0100

audit (1.7.8-1) unstable; urgency=low

  * New upstream release.
    - Includes debian/patches/{man5,rpath,audispd-zos-remote}.diff
    - Includes debian/patches/automake{,.in}}.diff
  * debian/control:
    - Build-Deps: +libev-dev, +chrpath, +libwrap0-dev, +libkrb5-dev,
      debhelper (>= 6.0.7~)
    - Enable system-config-audit
  * debian/rules:
    - Enable TCP wrapper
    - Enable GSSAPI-krb5
    - chmod o-(r)wx on several files and directories
    - dh_lintian auditd.lintian-overrides
   debian/patches/test.diff
    - Fix "make {dist,}check" in auparse/test/

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Thu, 23 Oct 2008 01:16:47 +0200

audit (1.7.4-1) unstable; urgency=low

  * New upstream release (Closes: #452414)
  * Drop debian/audispd.8 in favour of updtream version.
  * debian/control:
    - Build-Deps: +libldap2-dev
    - Bump Standards-Version: 3.8.0
    - New audispd-plugins package.
    - system-config-audit package is currently disabled: rpath problem.
  * debian/rules
    - Include /usr/share/quilt/quilt.mak
    - Start auditd already in rcS.
  * Add debian/README.source as required by 3.8.0
  * debian/auditd.postinst adopted from the Ubuntu branch.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 25 Jun 2008 09:56:59 +0200

audit (1.7.2-0.1) unstable; urgency=low

  * Not released non-maintainer upload.
  * New upstream release.
  * Drop patches not needed now.
  * Add cvs and intltool to build dependencies.
  * Enable Prelude support.

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Apr 2008 10:47:22 +0200

audit (1.5.3-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Added CVE-2008-1628.patch to fix a stack-based buffer overflow
    in the audit_log_user_command function which can be triggered via
    a command argument that is passed to that function and might lead
    to execution of arbitrary code (Closes: #475227).

 -- Nico Golde <nion@debian.org>  Thu, 10 Apr 2008 15:06:25 +0200

audit (1.5.3-2) unstable; urgency=low

  * debian/auditd.init: Fix inverted AUDITD_CLEAN_STOP (Closes: #428066)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 12 Jun 2007 22:33:56 +0200

audit (1.5.3-1) unstable; urgency=low

  * New upstream version
    - Includes all debian/patches.
  * Drop Build-Depends: linux-headers-2.6



=== debian/control ===
Source: audit
Priority: extra
Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>= 8),
 python-all-dev (>= 2.6.6-3~), swig,
 automake1.10, autoconf (>= 2.59), libtool, autotools-dev,
 intltool, cvs, libprelude-dev, libldap2-dev, libev-dev, chrpath,
 libwrap0-dev, libkrb5-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Section: libs
Homepage: http://people.redhat.com/sgrubb/audit/

Package: auditd
Section: admin
Architecture: any
Depends: lsb-base (>= 3.0-6),
 libpam-runtime (>= 1.0.1-6),
 ${shlibs:Depends}, ${misc:Depends}
Suggests: audispd-plugins
Description: User space tools for security auditing
 The audit package contains the user space utilities for
 storing and searching the audit records generated by
 the audit subsystem in the Linux 2.6 kernel.
 .
 Also contains the audit dispatcher "audisp".

Package: libaudit0
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic library for security auditing
 The audit-libs package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.

Package: libaudit-dev
Section: libdevel
Architecture: any
Depends: libaudit0 (= ${binary:Version}),
 ${misc:Depends}
Description: Header files and static library for security auditing
 The audit-libs-devel package contains the static libraries and header
 files needed for developing applications that need to use the audit
 framework libraries.

Package: python-audit
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for security auditing
 The package contains the Python bindings for libaudit and libauparse, which
 are used to monitor systems for security related events. Python can be used to
 parse and process the security event messages.

Package: audispd-plugins
Section: admin
Architecture: any
Depends: auditd,
 ${shlibs:Depends}, ${misc:Depends}
Description: Plugins for the audit event dispatcher
 The audispd-plugins package provides plugins for the real-time
 interface to the audit system, audispd. These plugins can do things
 like relay events to remote machines or analyze events for suspicious
 behavior.

Package: system-config-audit
Section: admin
Architecture: any
Depends: python-audit,
 python-glade2,
 menu,
 chkconfig,
 ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Graphical utility for editing audit configuration
 The system-config-audit package provides a graphical users interface for
 configuring the Linux audit subsystem, which is used to monitor systems for
 security related events.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/python/python.mk

# For building swig/ and bindings/python/ for all Python version, these directories are cloned and build in addition to the main library
PYDEFAULTVER := $(shell pyversions --default --version)                                                                                        
PYVERS := $(shell pyversions --requested --version debian/control)                                                                             
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) # $(PYDEFAULTVER)

%:
	dh $@ --builddirectory=debian/build --buildsystem=autoconf --with autotools_dev --with python2

override_dh_auto_configure: debian/config-python-stamp $(PYVERS:%=debian/config-python%-stamp)
debian/config-python-stamp:
	dh_testdir
	#autoreconf -fv --install
	dh_auto_configure -- \
		--sysconfdir=/etc \
		--sbindir=/sbin \
		--libdir='$${exec_prefix}'/lib \
		--libexecdir=/lib \
		--enable-shared=audit \
		--enable-gssapi-krb5 \
		--with-apparmor \
		--with-prelude \
		--with-libwrap
	touch $@
debian/config-python%-stamp: debian/config-python-stamp
	cp -lpr debian/build/swig            debian/build/swig.$*
	cp -lpr debian/build/bindings/python debian/build/bindings/python.$*
	touch $@

override_dh_auto_clean:
	$(RM) debian/*-stamp
	dh_auto_clean

override_dh_auto_build: debian/build-python-stamp $(PYVERS:%=debian/build-python%-stamp)
debian/build-python-stamp: debian/config-python-stamp
	dh_testdir
	dh_auto_build -- LDFLAGS=-Wl,--as-needed
	touch $@
debian/build-python%-stamp: debian/config-python%-stamp debian/build-python-stamp 
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/swig.$*            pyexecdir=$(call py_libdir_sh, $*)
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python.$* pyexecdir=$(call py_libdir_sh, $*)
	touch $@

debian/install-python-stamp: debian/build-python-stamp
	dh_testdir
	dh_auto_install --sourcedir=debian/build --destdir=debian/tmp
	touch $@
debian/install-python%-stamp: debian/build-python%-stamp debian/install-python-stamp
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/swig.$*            pyexecdir=$(call py_libdir_sh, $*) DESTDIR=$(CURDIR)/debian/tmp install
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python.$* pyexecdir=$(call py_libdir_sh, $*) DESTDIR=$(CURDIR)/debian/tmp install
	touch $@
override_dh_auto_install: debian/install-python-stamp $(PYVERS:%=debian/install-python%-stamp)
	# Remove some RedHat specific files
	$(RM) debian/tmp/etc/rc.d/init.d/auditd
	$(RM) debian/tmp/etc/sysconfig/auditd

	# Move the library to /lib
	$(RM) debian/tmp/usr/lib/libaudit.so
	$(RM) debian/tmp/usr/lib/libauparse.so

	# Remove .la files for Debian
	$(RM) debian/tmp/usr/lib/libauparse.la
	$(RM) debian/tmp/usr/lib/libaudit.la

	# The Debian way compiles Python packages on install
	$(RM) debian/tmp/usr/lib/python*/*-packages/_au*.*a
	$(RM) debian/tmp/usr/lib/python*/*-packages/auparse.*a
	$(RM) debian/tmp/usr/lib/python*/*-packages/au*.py[co]
	$(RM) debian/tmp/usr/share/system-config-audit/*.py[co]

override_dh_install:
	dh_install --sourcedir=debian/tmp --list-missing

override_dh_installlogrotate:
	# auditd has a equivalent built-in feature

override_dh_installinit:
	dh_installinit -- start 37 2 3 4 5 . stop 39 0 1 6 .

override_dh_fixperms:
	dh_fixperms
	#chmod o-wx debian/auditd/usr/bin/aulastlog
	#chmod o-wx debian/auditd/sbin/auditctl
	#chmod o-wx debian/auditd/sbin/auditd
	#chmod o-wx debian/auditd/sbin/autrace
	#chmod 750 debian/auditd/sbin/audispd
	chmod -R o-rwx debian/auditd/var/log/audit
	chmod -R o-rwx debian/auditd/etc/audit debian/auditd/etc/audisp debian/auditd/etc/audisp/plugins.d

override_dh_makeshlibs:
	chrpath -d debian/audispd-plugins/sbin/audispd-zos-remote
	chrpath -d debian/audispd-plugins/sbin/audisp-prelude
	chrpath -d debian/auditd/usr/bin/aulast
	chrpath -d debian/auditd/usr/bin/aulastlog
	chrpath -d debian/auditd/usr/bin/ausyscall
	chrpath -d debian/libaudit0/lib/libauparse.so.0.0.0
	chrpath -d debian/python-audit/usr/lib/python*/*-packages/_audit.so
	chrpath -d debian/python-audit/usr/lib/python*/*-packages/auparse.so
	chrpath -d debian/system-config-audit/lib/system-config-audit-server
	dh_makeshlibs

get-orig-source:
	-uscan --upstream-version 0

my-check:
	find debian/*aud*/ -mindepth 0 -name DEBIAN -prune -o -not -type d -print|sed -e 's,debian/[^/]*/,,' -e 's/\.gz$$//'

## audit 2.1.3

=== debian/changelog ===
audit (2.1.3-1) unstable; urgency=low

  * NMU as the new version is over 6 months old and fixes some annoying bugs.
  * New upstream release. (Closes: #639865)
  * Removed the patches for the desktop info file and the condrestart as
    upstream has removed the things that it is patched against.
  * Removed the patch for htons on AF_INET as it's fixed upstream.
  * system-config-audit is now in a separate source package.

 -- Russell Coker <russell@coker.com.au>  Tue, 24 Jan 2012 18:07:07 +1100

=== debian/control ===
--- 
+++ 
@@ -64,16 +64,3 @@
  interface to the audit system, audispd. These plugins can do things
  like relay events to remote machines or analyze events for suspicious
  behavior.
-
-Package: system-config-audit
-Section: admin
-Architecture: any
-Depends: python-audit,
- python-glade2,
- menu,
- chkconfig,
- ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Description: Graphical utility for editing audit configuration
- The system-config-audit package provides a graphical users interface for
- configuring the Linux audit subsystem, which is used to monitor systems for
- security related events.

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,6 @@
 	$(RM) debian/tmp/usr/lib/python*/*-packages/_au*.*a
 	$(RM) debian/tmp/usr/lib/python*/*-packages/auparse.*a
 	$(RM) debian/tmp/usr/lib/python*/*-packages/au*.py[co]
-	$(RM) debian/tmp/usr/share/system-config-audit/*.py[co]
 
 override_dh_install:
 	dh_install --sourcedir=debian/tmp --list-missing
@@ -98,7 +97,6 @@
 	chrpath -d debian/libaudit0/lib/libauparse.so.0.0.0
 	chrpath -d debian/python-audit/usr/lib/python*/*-packages/_audit.so
 	chrpath -d debian/python-audit/usr/lib/python*/*-packages/auparse.so
-	chrpath -d debian/system-config-audit/lib/system-config-audit-server
 	dh_makeshlibs
 
 get-orig-source:

## audit 2.2.2

=== debian/control ===
Source: audit
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               intltool,
               libcap-ng-dev,
               libkrb5-dev,
               libldap2-dev,
               libprelude-dev,
               python-all-dev (>= 2.6.6-3~),
               swig
Standards-Version: 3.9.3
Section: libs
Homepage: http://people.redhat.com/sgrubb/audit/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/audit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/audit.git
X-Python-Version: >= 2.5

Package: auditd
Section: admin
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Suggests: audispd-plugins
Description: User space tools for security auditing
 The audit package contains the user space utilities for
 storing and searching the audit records generated by
 the audit subsystem in the Linux 2.6 kernel.
 .
 Also contains the audit dispatcher "audisp".

Package: libauparse0
Architecture: linux-any
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libaudit0, libaudit1 (<< 1:2.2.1-2)
Replaces: libaudit0, libaudit1 (<< 1:2.2.1-2)
Multi-Arch: same
Description: Dynamic library for parsing security auditing
 The libauparse package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.
 .
 This package contains the libauparse0 library.

Package: libauparse-dev
Section: libdevel
Architecture: linux-any
Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
Breaks: libaudit-dev (<< 1:2.2.1-2)
Replaces: libaudit-dev (<< 1:2.2.1-2)
Description: Header files and static library for the libauparse0 library
 The audit-libs parse package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.

Package: libaudit1
Architecture: linux-any
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libaudit-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Dynamic library for security auditing
 The audit-libs package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.

Package: libaudit-common
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Breaks: libaudit0, libaudit1 (<< 1:2.2.1-2)
Replaces: libaudit0, libaudit1 (<< 1:2.2.1-2)
Multi-Arch: foreign
Description: Dynamic library for security auditing - common files
 The audit-libs package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.
 .
 This package contains the libaudit.conf configuration file and the associated
 manpage.

Package: libaudit-dev
Section: libdevel
Architecture: linux-any
Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}
Description: Header files and static library for security auditing
 The audit-libs-devel package contains the static libraries and header
 files needed for developing applications that need to use the audit
 framework libraries.

Package: python-audit
Section: python
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python bindings for security auditing
 The package contains the Python bindings for libaudit and libauparse, which
 are used to monitor systems for security related events. Python can be used to
 parse and process the security event messages.

Package: audispd-plugins
Section: admin
Architecture: linux-any
Depends: auditd, ${misc:Depends}, ${shlibs:Depends}
Description: Plugins for the audit event dispatcher
 The audispd-plugins package provides plugins for the real-time
 interface to the audit system, audispd. These plugins can do things
 like relay events to remote machines or analyze events for suspicious
 behavior.
